package db

import (
	"gorm.io/driver/sqlite"
	"gorm.io/gorm"
)

var (
	DB gorm.DB
)

func InitDatabase() {
	DB, err := gorm.Open(sqlite.Open("data/raven.db"), &gorm.Config{})
	if err != nil {
		panic("failed to connect database")
	}

	// Migrate the schema
	DB.AutoMigrate(&Item{})
}
